GNU bug report logs - #44961
28.0.50; [feature/pgtk] frame-position returns incorrect information

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Robert Pluim <rpluim@HIDDEN>; dated Mon, 30 Nov 2020 14:34:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 44961 <at> debbugs.gnu.org:


Received: (at 44961) by debbugs.gnu.org; 20 Dec 2020 07:46:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 20 02:46:14 2020
Received: from localhost ([127.0.0.1]:43600 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kqtPy-00089o-Fx
	for submit <at> debbugs.gnu.org; Sun, 20 Dec 2020 02:46:14 -0500
Received: from mout.gmx.net ([212.227.15.15]:49855)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1kqtPv-00089a-3Y
 for 44961 <at> debbugs.gnu.org; Sun, 20 Dec 2020 02:46:12 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1608450360;
 bh=Nlkan9d06w7WidRz/ehHNkUt0AG5HsZJiWOU6sz3H+s=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=cjqU7srYbdgYnZ0er7HxUz167DeIKUp9pR7NDBzantB7PaLMiBFwkpO6XF+2uyq2l
 Hunz96d2FkLG45l5T8pMftz8FfRIWX+Ei2zkwwSqesSMzh3t4C/OsE/srgFw3mm6pr
 BwFiJcia7z9//668uk9Z3nj+67vgWRqP4xQB4ng4=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([212.95.5.206]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1Mwwdl-1jsuCR0nXP-00yS6a; Sun, 20
 Dec 2020 08:46:00 +0100
Subject: Re: bug#44961: 28.0.50; [feature/pgtk] frame-position returns
 incorrect information
To: Yuuki Harano <masm+emacs@HIDDEN>, 44961 <at> debbugs.gnu.org
References: <87tut6kj72.fsf@HIDDEN>
 <20201220.024228.1032082898181723362.masm@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <16c07f20-a9f1-50dd-bba6-a74cf93f9d1b@HIDDEN>
Date: Sun, 20 Dec 2020 08:45:58 +0100
MIME-Version: 1.0
In-Reply-To: <20201220.024228.1032082898181723362.masm@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:/wDIi3vW13sjdyezXP1q+9KJDyCP8f6SwYWAyCdgy/Hfz2DL005
 35HyyHsevja2JMstJIDHb6TQq4sYy+uDmcXUimCgH7dWbosdWYnqfShh8FH7GGCRLKkc2Oz
 V3RkO6Kdm/Y7xDvPlLma4ELyKAQ4MXQr+p51ElwKbfX80rd5chXBQRdwRyVQuW3ZZv408DJ
 yhfr49UN3wrzOWwKSQpiQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:vJiv8zytYGo=:8KUfxjXWFgQSUQmhC0KfY7
 LgvHzEUoE+lvGoMqP8iAr50I99JOyDG41r35NBrihvTHVmpvZ7TAtn1iNCVu7uJNAyyWgl/HX
 q/HHokqAX3oPzOyEV6UbBdNm8TFnjSbnmz0cFN28Xzjk0QirfVZUgLxcSB0QgSwNme4U9B3Mv
 XcN94BSOUMkrk9DgQRLvPwbacBzIdgmj4Jt8IfFhOSyH/IRfjWr4zla5PcraPckWo91iS306U
 BdzjcaQ+06UYIb2c5avuOt7pSxOxsPhUJzqwKNY544kZApRN3kpFhpifGm03Jc7ikqEOZ00jV
 B4mfIudeYMW80ugC+5Uxcav5V6viZt/67CP1fYV/EGfWhgQTgNyhOsTXPK9CNAixDGlmy8TLJ
 V2tTIco1DK7Y+SzDpP2/DFGVO03e3GS3rgzpD50zg+7lQRYs6onOOpvD4kKaXVp8CiyiRbudJ
 AISUD0QAuTIkPuET+Gk7v/7DEg2w+0eGOsxNxQEHMOs0dy4RZTrxGb1PTzRZMbF8+ZvrKIRSN
 tdbA6AwQR5GxvvZ2XQYZ/BpmJGpuRyzbeWoPfiHFKEuLj76FJCRa93/aZb2IbfNKilp6r3AtS
 29PLEa4KuDzsEHnG9z+/hXvzodlR3YU3tjF4DdZ298bY/HjuBp5Z8KCXM0a2K/VF1tBm3kgZc
 61qgScgFi9QI+D0PIzg6SlfA9C+yVWuvBraJAOePbrURTSu2LcnuaaJe5HQE/5beEqnhuzSKY
 PQLaQRUNwgjdLZCAou1PbcR17fEFusxNovCgwePAWDH8JwzICVSxoce4u1QQC19aL9Ve4+RZx
 rNr2QMBb7umSGD415W3wgT91JVgW58v01R7ikArnX/WPRgSEARa8JPbsv9lVpoLBTK9hi273q
 /wobUnL13vu9SbK04WRguWkMqF8vZJ0zd1/Z5bXYA=
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > Also, wayland support code in Gtk ignores gtk_window_move
 for toplevel > windows, so pgtk emacs can't move the window. Does it work
 for child windows? I'm afraid that sooner or later we have to encapsulate
 all Emacs frames in one and the same session in child windows of one major
 root window in order to be able to con [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [212.95.5.206 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.15.15 listed in list.dnswl.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (rudalics[at]gmx.at)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.15.15 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 44961
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > Also, wayland support code in Gtk ignores gtk_window_move
    for toplevel > windows, so pgtk emacs can't move the window. Does it work
    for child windows? I'm afraid that sooner or later we have to encapsulate
    all Emacs frames in one and the same session in child windows of one major
    root window in order to be able to con [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [212.95.5.206 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.15.15 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.15.15 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (rudalics[at]gmx.at)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

 > Also, wayland support code in Gtk ignores gtk_window_move for toplevel
 > windows, so pgtk emacs can't move the window.

Does it work for child windows?  I'm afraid that sooner or later we have
to encapsulate all Emacs frames in one and the same session in child
windows of one major root window in order to be able to continue our
past frame positioning strategies.  So my question can eventually become
vital for these ...

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44961; Package emacs. Full text available.

Message received at 44961 <at> debbugs.gnu.org:


Received: (at 44961) by debbugs.gnu.org; 19 Dec 2020 18:13:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 19 13:13:27 2020
Received: from localhost ([127.0.0.1]:43123 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kqgjO-0007LS-0L
	for submit <at> debbugs.gnu.org; Sat, 19 Dec 2020 13:13:26 -0500
Received: from shiro.masm11.me ([150.95.182.25]:46206)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <masm@HIDDEN>) id 1kqgFY-0006Xu-Fv
 for 44961 <at> debbugs.gnu.org; Sat, 19 Dec 2020 12:42:37 -0500
Received: from luna.pink.masm11.me (KD111239252237.au-net.ne.jp
 [111.239.252.237])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits))
 (No client certificate requested)
 by shiro.masm11.me (Postfix) with ESMTPSA id 22744C0169
 for <44961 <at> debbugs.gnu.org>; Sun, 20 Dec 2020 02:42:33 +0900 (JST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=masm11.me; s=202002;
 t=1608399753; bh=WOoJeSNk+hKutG8a7Oox2ycc0SCAJUJy8DnAG0gg9TY=;
 h=Date:To:Subject:From;
 b=NNqkH/d/GUFgldkAyNtEe8+JMVikXXHUeF+FaDzJltYPuZpYSqNtpmZGiVLx3oBIm
 gx+Y5dZ7IOJJBIHu0U6IkF8kbXSJ+Pw8LDV0ZeYdZYPfB0vZ/AZc3nqDEzWA+huVKm
 xXJePGuH/b7mesLDA1/mpS1rK07mZue4gdWldDy4=
Date: Sun, 20 Dec 2020 02:42:28 +0900 (JST)
Message-Id: <20201220.024228.1032082898181723362.masm@HIDDEN>
To: 44961 <at> debbugs.gnu.org
Subject: Re: bug#44961: 28.0.50; [feature/pgtk] frame-position returns
 incorrect information
From: Yuuki Harano <masm+emacs@HIDDEN>
Organization: Ingage Inc.
X-Mailer: Mew version 6.8 on Emacs 28.0
Mime-Version: 1.0
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44961
X-Mailman-Approved-At: Sat, 19 Dec 2020 13:13:25 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Pgtk emacs doesn't receive events when a window moves, so it can't update the position data.

Also, wayland support code in Gtk ignores gtk_window_move for toplevel windows, so pgtk emacs can't move the window.

-- 
Yuuki Harano




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44961; Package emacs. Full text available.

Message received at 44961 <at> debbugs.gnu.org:


Received: (at 44961) by debbugs.gnu.org; 1 Dec 2020 09:16:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 01 04:16:04 2020
Received: from localhost ([127.0.0.1]:57779 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kk1lU-0004z9-AH
	for submit <at> debbugs.gnu.org; Tue, 01 Dec 2020 04:16:04 -0500
Received: from mail-wm1-f44.google.com ([209.85.128.44]:54494)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1kk1lS-0004sh-V8
 for 44961 <at> debbugs.gnu.org; Tue, 01 Dec 2020 04:16:03 -0500
Received: by mail-wm1-f44.google.com with SMTP id d3so1700380wmb.4
 for <44961 <at> debbugs.gnu.org>; Tue, 01 Dec 2020 01:16:02 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:references:mail-copies-to:gmane-reply-to-list:date
 :in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=gMJvcuPE1ddreKq6AcI314r4Mg5QIMU4UM2dOppkHlg=;
 b=XC2l2adk/8nw2o4C54VQRlwORlDym0haWU7y2GlGV7V04DlgFndEkQIn3Nr+tUPVbc
 bc4EMzH2CCPn/+kCeRF9uPPrAt8vek8t4sQlLphbZMFrfNd/eE7B1jw+DTOVAreqESfT
 Tt3hJJpraMullacwAjg4ysKyNiltbx+sH0/Tz2lBNiFFcbR4aahnUiAW43GJm9LeoBQp
 YJSp/EKdA/OzWUYg+TDC36eeMMBeoP4LVMCNhxzUaLbUGg4WKipNLnVYqQ52LFtOcUK/
 FqqMs/7pTJvlDK88fmJckbpUYifS2XJ+ujd4FVZOKXTG1aS71FsH+mgQ6CPpI3BjQ1r0
 Rt6A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=gMJvcuPE1ddreKq6AcI314r4Mg5QIMU4UM2dOppkHlg=;
 b=IQDFnz9sTfnSvnwgJXniqpPO2rHqzHyzbYO5/bPoOoIHFAU5VJ7IWzwRJc2PIYsDnq
 3G7uWI0dfUSUPI1g0k7YaNPEcQh4tD25PmpH7oAHS9aBXTsy1T8j9BJ2mGrkZyGEv6CT
 2TUdRHQVlA6bEu8Q+IQhgVknxyn1pkV5eNMsOe2R4CHSx8E5wCFKFyyO5yHeChQHGVZT
 nwwWj1KhCmGk/PcqAU2qRZlH8jcxx4sV8qg3YJKfcyJ5ZsXmS5xgW5rTH6FY3V3oxsQj
 olY4VPugV7ecaB/GDcbTpD0M+Cj+O2hXqPgrmrc2bPoTca2PjlsceZ5vDbBkIm6tRlGu
 EUGw==
X-Gm-Message-State: AOAM531LWdur8vwp1It7uSfWMEGLWtM8wfc/wZAlyBAHvS8wMDRP/yGn
 rFfS1dtVewY4xiWLeXRKfhcJCiMLyIw=
X-Google-Smtp-Source: ABdhPJy/N7XmUEe/nlE0VcP0Ad0fFCNPP8XNQVUiWbVA2AXgXLnMwY2VyXA5/JA11SqGz6EkYBXSRQ==
X-Received: by 2002:a1c:2b05:: with SMTP id r5mr1617017wmr.179.1606814156571; 
 Tue, 01 Dec 2020 01:15:56 -0800 (PST)
Received: from rltb ([2a01:e34:ecfc:a860:f85a:6157:64a6:f622])
 by smtp.gmail.com with ESMTPSA id k11sm1922313wrv.88.2020.12.01.01.15.55
 for <44961 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 01 Dec 2020 01:15:55 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: 44961 <at> debbugs.gnu.org
Subject: Re: bug#44961: 28.0.50; [feature/pgtk] frame-position returns
 incorrect information
References: <87tut6kj72.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Tue, 01 Dec 2020 10:15:55 +0100
In-Reply-To: <87tut6kj72.fsf@HIDDEN> (Robert Pluim's message of "Mon, 30
 Nov 2020 15:33:53 +0100")
Message-ID: <87pn3tkhtg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44961
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> writes:

> This is under Gnome Shell on Debian 10, which I think uses mutter as a
> window manager:
>
> ./emacs -Q # The frame is near the top-left, I move it to the right botto=
m quadrant
> (pgtk-backend-display-class) =3D> "GdkWaylandDisplay"
> (frame-position) =3D> (0 . 0)
>
> GDK_BACKEND=3Dx11 ./emacs -Q
> (pgtk-backend-display-class) =3D> "GdkX11Display"
> (frame-position) =3D> (0 . 0)
>
> ./emacs -Q # emacs master branch
> (frame-position) =3D> (2136 . 549)
>
> (also `set-frame-position' doesn=CA=BCt work, even though I see it calling
> gtk_window_move. I can open a separate report for that)

And a side effect of this is that specifying things like 'top or 'left
in 'default-frame-alist' don=CA=BCt affect the positioning of frames.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44961; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Nov 2020 14:34:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 30 09:34:00 2020
Received: from localhost ([127.0.0.1]:54301 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kjkFc-0000Rf-Fo
	for submit <at> debbugs.gnu.org; Mon, 30 Nov 2020 09:34:00 -0500
Received: from lists.gnu.org ([209.51.188.17]:60356)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1kjkFb-0000RW-5W
 for submit <at> debbugs.gnu.org; Mon, 30 Nov 2020 09:33:59 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:52724)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rpluim@HIDDEN>) id 1kjkFa-0004gN-UT
 for bug-gnu-emacs@HIDDEN; Mon, 30 Nov 2020 09:33:58 -0500
Received: from mail-wr1-x433.google.com ([2a00:1450:4864:20::433]:39554)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <rpluim@HIDDEN>) id 1kjkFZ-0001gp-B9
 for bug-gnu-emacs@HIDDEN; Mon, 30 Nov 2020 09:33:58 -0500
Received: by mail-wr1-x433.google.com with SMTP id e7so16512301wrv.6
 for <bug-gnu-emacs@HIDDEN>; Mon, 30 Nov 2020 06:33:56 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=n9qJVuDFAOB0ctusYyy5IAoi/kM7IIhMzwzJQszsqsY=;
 b=NSAYMtqVFdvXDDXCm/0xazySC73x0FkuUv5Fi5AmlB1FR2Xz5ftnSSSqcKZulgApLL
 7LkBbqeVc5pMJDWedt49HzulKtjVUmCJm9obe4e+9LlpGeNKpqDpbhDqfjkgb/TBjs4A
 WeeAjA/1JZDVgMdRp/R83Wb4Ab98FfOY9Af610A2XBw2rOUvaGnSdV3MAjJXlxPRyQCO
 w6uF8lh3aTZjXDkE08MM97JcTHBKioe0A4DK6ZdGgl7z0ZTHOmmQ6UhYIfrIUZNjrUQi
 bx4T3FVXFJ5664y0pYKOXf2YHrU7g4sUIgapqBoag4MbSoMAaInoXNJ35LPUIkSAPD5k
 e45A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=n9qJVuDFAOB0ctusYyy5IAoi/kM7IIhMzwzJQszsqsY=;
 b=VQD+DHP23Q6/jTDVJ50hU4JsztcRnpn154A8MsJ2j3OkuZWhHDuOx/EuuMa2anZgtT
 OJBfdIOH8HrILZKLYBTRfdF/tSQdcW0In5j+JLwhGwKkL5ZDnH0ENbX7u5wCfoljO6eo
 FcXtNx6o3GI6ZLFs9SmV2ufvn3IJAi99SAexRk20fJYldgB4/ntxu/GrPL8e0ZGOj/Cf
 5bTWBwyneS3rHAmDMDR5bxYQ8SVSbqreH3x+NPikf6KJqt9JUyfya/J0aOQgCw7pM1TS
 xnE50OLObjBGrGXSqzBbHnOxEtyzL1cmoufWeDACJDMVLu1C9ZdMtHcT02JxIRSR/Z9H
 nuUg==
X-Gm-Message-State: AOAM530YrZuZCe+oGpfXHXhJzuyLq1ZYNr5ABPIfZBr7sZggA1hs2wY/
 GI0r8SZMtO9QIop4u9sm1iqKUP7y7lE=
X-Google-Smtp-Source: ABdhPJwKZ9ByBVPielOCFBha3L/lmpnvgmr9bQx+YQidGoImd2qPMqqeCLq+q07Q+EJQl8Tmk8i8Nw==
X-Received: by 2002:adf:f882:: with SMTP id u2mr28835137wrp.271.1606746834698; 
 Mon, 30 Nov 2020 06:33:54 -0800 (PST)
Received: from rltb ([2a01:e34:ecfc:a860:d4cf:d72:d53f:b62f])
 by smtp.gmail.com with ESMTPSA id c5sm30092401wrb.64.2020.11.30.06.33.53
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 30 Nov 2020 06:33:53 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; [feature/pgtk] frame-position returns incorrect information
X-Debbugs-No-Ack: yes
Date: Mon, 30 Nov 2020 15:33:53 +0100
Message-ID: <87tut6kj72.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=2a00:1450:4864:20::433;
 envelope-from=rpluim@HIDDEN; helo=mail-wr1-x433.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


This is under Gnome Shell on Debian 10, which I think uses mutter as a
window manager:

./emacs -Q # The frame is near the top-left, I move it to the right bottom =
quadrant
(pgtk-backend-display-class) =3D> "GdkWaylandDisplay"
(frame-position) =3D> (0 . 0)

GDK_BACKEND=3Dx11 ./emacs -Q
(pgtk-backend-display-class) =3D> "GdkX11Display"
(frame-position) =3D> (0 . 0)

./emacs -Q # emacs master branch
(frame-position) =3D> (2136 . 549)

(also `set-frame-position' doesn=CA=BCt work, even though I see it calling
gtk_window_move. I can open a separate report for that)

In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.5, ca=
iro version 1.16.0)
 of 2020-11-24 built on rltb
Repository revision: d6ef9af82eafef33e117dd61aa3bd51a2464fcc6
Repository branch: feature/pgtk
Windowing system distributor 'System Description: Debian GNU/Linux 10 (bust=
er)

Configured using:
 'configure --with-pgtk'

Configured features:
JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ LIBOTF ZLIB
TOOLKIT_SCROLL_BARS GTK3 PGTK XIM MODULES THREADS LIBSYSTEMD JSON
PDUMPER LCMS2




Report forwarded to bug-gnu-emacs@HIDDEN:
bug#44961; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 20 Dec 2020 08:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.